petsc-3.13.6 2020-09-29
Report Typos and Errors

# ISColoringGetColors

Returns an array with the color for each node

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISColoringGetColors(ISColoring iscoloring,PetscInt *n,PetscInt *nc,const ISColoringValue **colors)

Not Collective

### Input Parameter

iscoloring -the coloring context

### Output Parameters

| n | - number of nodes
| nc | - number of colors
| colors | - color for each node

### See Also

ISColoringRestoreIS(), ISColoringView(), ISColoringGetIS()

### Level

advanced

### Location

src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages